package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import javafx.scene.control.Alert;
import javafx.scene.control.ButtonBar;
import javafx.scene.control.ButtonType;

public class AlertNewSchedule extends Alert {
    private ButtonType yesButton = new ButtonType("Ja", ButtonBar.ButtonData.YES);
    private ButtonType noButton = new ButtonType("Nein", ButtonBar.ButtonData.NO);
    private boolean result;

    public AlertNewSchedule() {
        super(AlertType.WARNING);
        setTitle("Neu erstellen");
        setHeaderText("Spielplan neu erstellen?");
        setContentText("Sind Sie sicher, dass Sie den Spielplan neu erstellen moechten?\nAlle Spielfortschritte gehen daraufhin verloren!");
        getButtonTypes().setAll(yesButton,noButton);
    }

    public boolean showAndGetResult() {
        showAndWait().ifPresent(input -> {
            result = input == yesButton;
        });
        return result;
    }
}
